# How to contribute to Typo

The goal of this theme is to be as simple as possible, hence adding or changing existing 
features need some thought. 

Any change that is too niche or heavily tailored to a specific developer's need will be rejected, as 
that would make some features cumbersome to set up.
To avoid unnecessary work, please start a discussion or open an issue with a proposal.

Any other reasonable changes are more than welcome, keep in mind the guidelines: 
- keep the code as minimal as possible, and avoid comments in the code unless needed;
- keep the parameters (e.g. in hugo.toml) as concise and clear as possible;
- update the [wiki](https://github.com/tomfran/typo/tree/main/wiki) if needed, trying to maintain the current style of writing;
- refrain from breaking existing behavior, for example, make a new feature disabled by default;
- squash your change in a single commit.

<br>
Thank you, <br>
Francesco
